# sodium_crypto_sign_verify_detached

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_sign_verify_detached — Verify signature for the message

### Descripción

sodium_crypto_sign_verify_detached(string `$signature`, string `$message`, string `$public_key`): bool

Verify signature for the message

### Parámetros

`signature`

  The cryptographic signature obtained from sodium_crypto_sign_detached()

`message`

  The message being verified

`public_key`

  Ed25519 public key

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.